body {
    background-color: #edf2f9;
}
table {
    font-size: 14px;
    background-color: transparent;
}
.logo {
    padding: 10px 15px;
    border-bottom: 1px solid #606060;
    background: white;
    border-right: 1px solid #e0e0e0;
}
.logo a {
    color: #000000;
    text-decoration: none;
    font-weight: bold;
    font-size: 24px;
}
.logo a span {
    font-size: 13px;
    display: block;
    font-weight: normal;
    font-style: italic;
}
.logo img {
    width: 150px;
    filter: brightness(0) invert(1);
}

/* Custom styles for sidebar */
#sidebar {
    height: 100vh;
    width: 250px;
    position: fixed;
    top: 0;
    left: -250px;
    background: #343a40;
    transition: all 0.3s;
    z-index: 1000;
}
#sidebar.active {
    left: 0;
}
#sidebar .nav-link {
    color: #fff;
}
#sidebar .nav-link:hover {
    background: #495057;
}
#content {
    transition: all 0.3s;
    margin-left: 0;
}
#sidebar.active ~ #content {
    margin-left: 250px;
}
.main-menu {
    list-style: none;
    padding: 0;
}
.main-menu li {
    position: relative;
}
.main-menu li.active {
    background-color: #0d6efd;
}
.submenu {
    list-style: none;
}
.dropdown-item:hover,
.dropdown-item:focus {
    color: #ffffff;
    background-color: #0d6efd;
}
.bg-thead {
    background-color: #edf2f9;
}
.divider-content-center {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translateX(-50%) translateY(-50%);
    -ms-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    background-color: #f8fafc;
    color: #9da9bb;
    white-space: nowrap;
}
.custom-table {
    width: 100%;
}
.custom-table tr td:first-child,
.custom-table tr th:first-child {
    padding: 5px 15px;
}
.custom-table tr td,
.custom-table tr td {
    padding: 4px;
    border-bottom: 1px solid #eeeeee;
}
.custom-table tr td:last-child,
.custom-table tr th:last-child {
}
.dropdown-item i {
    margin-right: 5px;
}
.dropdown-item {
    font-size: 14px;
}
.myselect2 {
}

.select2-container {
    display: block;
    /* width: 100%; */
    padding: 0.375rem 0rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
}
.select2-container--default.select2-container--focus
    .select2-selection--multiple {
    border: solid #dee2e6 1px;
    outline: 0;
}
.select2-container--default .select2-selection--multiple {
    background-color: white;
    border: 1px solid #dee2e6;
    border-radius: 4px;
    cursor: text;
    padding: 0.375rem 0.75rem;
    /* padding-bottom: 5px;
    padding-right: 5px; */
    position: relative;
}
.select2-container .select2-search--inline .select2-search__field {
    box-sizing: border-box;
    border: none;
    font-size: 100%;
    margin-top: 0px;
    margin-left: 0px;
    padding: 0;
    max-width: 100%;
    resize: none;
    height: 24px;
    vertical-align: bottom;
    font-family: sans-serif;
    overflow: hidden;
    word-break: keep-all;
}
.select2-dropdown {
    background-color: white;
    border: 1px solid #dee2e6;
    border-radius: 4px;
    box-sizing: border-box;
    display: block;
    position: absolute;
    left: -100000px;
    width: 100%;
    z-index: 1051;
    top: -6px;
}
.select2-container--default
    .select2-selection--multiple
    .select2-selection__clear {
    margin-top: 0;
}
.select2-container--default
    .select2-selection--multiple
    .select2-selection__choice {
    background-color: #0d6efd;
    color: #ffffff;
    margin-top: 5px;
    margin-left: 0;
    top: -2px;
    padding: 0 10px;
    border: 0;
    margin-right: 8px;
}
.select2-container--default
    .select2-selection--multiple
    .select2-selection__choice__display {
    padding-left: 20px;
}
.select2-container--default
    .select2-selection--multiple
    .select2-selection__choice__remove {
    background-color: transparent;
    border: none;
    border-right: 1px solid #fff;
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
    color: #fff;
    cursor: pointer;
    font-size: 1em;
    font-weight: bold;
    padding: 0px 5px;
    position: absolute;
    left: 0;
    top: -1px;
}
.label {
    width: 384px;
    height: 576px;
    border: 1px dashed #000000;
}
.label-logo {
}
.label-logo img {
    width: 145.5px;
}
.label-model {
    display: block;
    text-align: center;
    width: 100%;
    float: left;
    padding: 0 8px;
    margin-bottom: 15px;
}
.label-h1 {
    font-size: 18px;
    font-weight: bold;
    color: white;
    background: black;
    display: block;
    margin: auto;
    padding: 5px 0;
}
.label-p {
    display: block;
    margin: auto;
    font-size: 12px;
    color: #000000;
}
.barcode128 {
    font-size: 12px;
}
.label-info {
    position: relative;
    padding: 0 8px;
}
.label-info p {
    font-size: 9px;
    margin-bottom: 6px;
}
.label-info span {
    font-size: 12px;
    position: absolute;
    right: 60px;
    text-align: center;
}
.ean-barcode {
    position: absolute;
    right: 80px;
    top: 58px;
    font-size: 12px;
    text-align: center;
}
.code128-barcode {
    position: absolute;
    right: 110px;
    top: 200px;
    font-size: 12px;
    text-align: center;
}
#scanner-container {
    display: none; /* Initially hidden */
    position: relative;
    width: 100%;
    height: 480px; /* Set a fixed height */
    max-width: 640px;
    margin: 0 auto;
    background: #000;
}

#scanner {
    position: fixed;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100px;
    background: black;
    transform: translate(-50%, -50%);
}
.scanner-div {
    position: fixed;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 300px;
    background: black;
    transform: translate(-50%, -50%);
}
.input-group {
    display: flex;
    align-items: center;
    width: 100%;
}
.form-control {
    flex: 1;
    padding: 10px;
    font-size: 16px;
}
.scanner-icon {
    padding: 10px;
    cursor: pointer;
    background-color: #007bff;
    color: white;
    border: none;
    border-radius: 0 5px 5px 0;
}
.scanner-icon:hover {
    background-color: #0056b3;
}
.warranty-front {
    position: relative;
    width: 100%;
    background: url(/images/warranty-card-front.jpg);
    background-size: cover;
    height: 380px;
}
.warranty-front .content {
    position: absolute;
    top: 56%;
    left: 58%;
    transform: translate(-50%, -50%);
    width: 100%;
    text-align: left;
}
.warranty-front .content p {
    margin:0;
    font-size: 12px;
    font-family: Amazon Ember;
    font-weight: bold;
}
.warranty-back {
    position: relative;
    width: 100%;
    background: url('/images/warranty-card-back.jpg');
    background-size: cover;
    height: 380px;
}
.warranty-back .content {
    position: absolute;
    top: 32%;
    left: 88%;
    transform: translate(-50%, -50%);
    width: 100%;
    text-align: center;
}
.serial_barcode {
    position: relative;
    width: 60%;
    text-align: center;
    height: 188px;
    padding: 25px;
    border: 2px solid #000;
    border-radius: 30px;
}
.serial_barcode .brand {
    display: block;
    width: 190px;
    margin-bottom: 15px;
}
.serial_barcode .footer {

}
.serial_barcode .ce-mark {
    width: 45px;
    position: absolute;
    top: 14%;
    right: 6%;
}